Обсуждение MediaWiki:Monobook.css

Материал из Википедии — свободной энциклопедии
Версия от 01:29, 14 мая 2019; imported>SunpriatBot (Lint: missing-end-tag)
(разн.) ← Предыдущая версия | Текущая версия (разн.) | Следующая версия → (разн.)
Перейти к навигации Перейти к поиску

Шаблон:Tmbox Шаблон:CSS и JS файлы интерфейса MediaWiki


Шаблон:Закрыто

Архив обсуждений за 2005 и 2006

Уберу лишний код

Если, конечно, не будет возражений) ∴ Alex Smotrov 16:47, 4 октября 2007 (UTC)

<source lang=css> /* для редактирования нулевой секции */ .editsection { float: right; margin-left: 5px; } </source>

  • видимо взятое из en.wp, но сейчас там такого больше нет, да и проблемы такой не вижу:

<source lang=css>

  1. p-cactions { width: 80%; }
   /* patch to prevent vertical stacking of tabs
   at top of page in IE6 at resolutions of 800x600;
   this stacking occured in main namespace pages only
   for sysops, as they have the additional "protect"
   and "delete" tabs at the top of the page;
   original width before patch was 76%;
   this patch prevents stacking in main namespace pages
   but not in certain special pages,
   which have tabs that are of greater width --Lowellian */

</source>

  • В #siteSub («Материал из Википедии — свободной энциклопедии») ссылок вообще нет:

<source lang=css>

  1. siteSub a {
color: black;
text-decoration: none;
background-color: transparent;
background-image: none;
padding-right: 0;

} </source>

<source lang=css> /* Display "User $1, you are already logged in!"

  (MediaWiki:Alreadyloggedin) in red and bold */

div.alreadyloggedin { color: red; font-weight: bold; } </source>

<source lang=css> /* В меню навигация делаем подчеркивания, только при наведении мыши, как в английском разделе */

.portlet a {

  text-decoration: none;

}

.portlet a:hover {

  text-decoration: underline;

} </source>

  • в принципе дублирует diff.css:

<source lang=css> /* Accessibility experiment: make diff changes not just colour-based */

.diffchange {

   font-weight: bold;
   background-color: inherit;

}

td.diff-addedline, td.diff-deletedline, td.diff-context {

   font-size: 85%;
   color: inherit;

} </source>

  • не вижу таких buttons, да и в bg: такого кода (уже?) нет:

<source lang=css> /* extra buttons for edit dialog (from bg:)*/

#my-buttons {
  padding: 0.5em;
}
#my-buttons a {
  color: black;
  background-color: #ccddee;
  font-weight: bold;
  font-size: 0.9em;
  text-decoration: none;
  border: thin #006699 outset;
  padding: 0 0.1em 0.1em 0.1em;
}
#my-buttons a:hover, #my-buttons a:active {
  background-color: #bbccdd;
  border-style: inset;
}

</source>

<source lang=css>

  1. disambig {
   border-top: 3px double #cccccc; 
   border-bottom: 3px double #cccccc;

} </source>

  • все упоминания #mytabs, видимо это что-то устаревшее


Убрал всё вышеперечисленное, плюс следующий код, дублирующий commonPrint.css Alex Smotrov 22:33, 5 октября 2007 (UTC)

<source lang=css> @media print {

 #content {background: white}
.tright {clear: right} /* Bug 1583 */

} .noprint {display: none} </source>


Вопросы

  • Где используется .notice ? ∴ Alex Smotrov 16:47, 4 октября 2007 (UTC)
  • Какое отношение к закруглённым углам у Gecko имеет .pBody {padding: 0.1em 0.1em } ? Из-за этого у нас bullets в меню слева так близко к левому краю. Думаю, в ближайшее поднимем вопрос на форуме, и будем удалять вместе с «закруглёнными углами» ∴ Alex Smotrov 22:33, 5 октября 2007 (UTC)

Всё в одном месте

Может быть, стоило перенести содержимое этого сообщения в MediaWiki:Common.css? - Innv 09:55, 12 мая 2008 (UTC)

(Где-то, вероятно) есть участники, использующие другие темы оформления. В общем случае этот код будет для них бесполезным грузом или даже может что-то испортить. К примеру, #ca-edit a {font-weight: bold}, делающий таб «править» выделенной, по-моему будет нехорошо смотреться например в оформлении «цыпа», где эта ссылка находится слева. Впрочем, предложения по переносу конкретных кусков кода можно обсудить. —AlexSm 14:32, 12 мая 2008 (UTC)
Действительно, лучше пока оставить всё как есть. Но я посмотрю, какие части кода лучше перенести в общий файл. - Innv 06:10, 13 мая 2008 (UTC)

Маркеры списка

Не нужно совсем убирать код для маркеров <source lang="css"> /*compat. standard bullet*/ .portlet li { list-style-image: url('//upload.wikimedia.org/wikipedia/en/1/18/Monobook-bullet.png') } </source> Его можно заменить на <source lang="css"> /*compat. standard bullet*/ .portlet ul { list-style-image: url('//upload.wikimedia.org/wikipedia/en/1/18/Monobook-bullet.png') } </source> — putnik 23:33, 8 марта 2013 (UTC)

Насколько я вижу, там сейчас всё-таки не «голый стандартный» маркер, а картинка, такая же как наш Файл:Monobook-bullet.png, но задаваемая через url(data:image/gif;base64.... Разница в том, что наше изображение чуть смещено влево и (как мне кажется) немного лучше согласуется со звёздочками хороших/избранных. Вопрос в том, существенна ли разница для того, чтобы возвращать наш прежний маркер, а если да - не смог бы кто-то взамен перерисовать звёздочки. — AlexSm 23:59, 8 марта 2013 (UTC)
«Наш» маркер тоже можно через data:URI вставить. Пока звёздочки никто не перерисовал, предлагаю всё-таки вернуть как было. — putnik 10:45, 9 марта 2013 (UTC)

Шаблон:Закрыто-конец